[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# CombineRgn

Combines two regions.

## Declaration

Source position: winapih.inc line 47

`function CombineRgn(`
`Dest: HRGN;`
`Src1: HRGN;`
`Src2: HRGN;`
`fnCombineMode: LongInt`
`):LongInt;`

## Arguments

`Dest` |  | The Handle of the destination region. This region must already exist!
`Src1` |  | The handle of a region to combine.
`Src2` |  | The handle of a region to combine.
`fnCombineMode` |  | How the regions are combined.

## Description

The following parameters are present in this function:

Dest
  The Handle of a region which will receive the result of the operation
Src1
  One of the two regions to combine
Src2
  The other region to combine
fnCombineMode
  The method to use to combine the regions. As for the parameter fnCombineMode, the following constants from the unit LCLType can be used:
RGN_AND
  The result is the intersection of the two combined regions.
RGN_COPY
  The result is a copy of the region Src1
RGN_DIFF
  Combines the parts of Src1 that are not part of Src2.
RGN_OR
  The result is the union of the two regions.
RGN_XOR
  The result is the union of two combined regions except for any overlapping areas.